import { ViewContainerRef, ComponentFactoryResolver, Type, ComponentFactory } from '@angular/core';
import { DialogComponent } from './dialog.component';
import { DialogService } from './dialog.service';
export declare class DialogWrapperComponent {
    private resolver;
    private dialogService;
    /**
     * Target element to insert dialog content component
     */
    element: ViewContainerRef;
    /**
     * Link container DOM element
     */
    container: any;
    /**
     * Dialog content componet
     */
    private content;
    /**
     * Constructor
     * @param resolver resolver
     * @param dialogService dialogService
     */
    constructor(resolver: ComponentFactoryResolver, dialogService: DialogService);
    /**
     * Adds content dialog component to wrapper
     * @return DialogComponent
     * @param component component
     * @param customFactory customFactory
     */
    addComponent<T, T1>(component: Type<DialogComponent<T, T1>>, customFactory?: ComponentFactory<{}>): DialogComponent<any, any>;
    /**
     * Registers event handler to close dialog by click on backdrop
     */
    closeByClickOutside(): void;
}
